import javax.persistence.*;
import java.util.*;

public class TestClient {
 @PersistenceUnit private static EntityManagerFactory emf;
 public static void main(String[] args) throws Exception {
   if(emf == null) {
       emf = Persistence.createEntityManagerFactory("pu1");
   }
   EntityManager em = emf.createEntityManager();
   em.getTransaction().begin();

   String clientId = args[0];
   String agentId = args[1];

   // Client
   DummyClient vc = new VIPClient();
   vc.setClientId(clientId);
   vc.setClientSSN("111-11-1111");
   ((VIPClient)vc).setHasSaveBox(true);

   // Agent
   String agent1Name = "Sue Huang";
   String location1 = "L101";
   String phone1 = "408-276-1111";
   String phone2 = "408-276-2222";
   Integer a1id1 = new Integer("101");
   String a1id2 = agentId;
   Float  a1id3=1.01f;

   try{
      a1id1 = new Integer(agentId);
   }catch(Exception ex){
      ex.printStackTrace();
   }

   try{
      a1id3 = Float.valueOf(agentId);
   }catch(Exception ex){
      ex.printStackTrace();
   }

   VIPClientAgent agent1 = new VIPClientAgentExt();
   agent1.setLocationId(location1);
   agent1.setAgentName(agent1Name);
   agent1.setPk1i(a1id1);
   agent1.setPk2s(a1id2);
   agent1.setPk3f(a1id3);
   agent1.setOfficePhone(phone1);
   agent1.setCellPhone(phone2);
   ((VIPClientAgentExt)agent1).setExt1("a1Ext1");
   ((VIPClientAgentExt)agent1).setExt2("a1Ext2");
   ((VIPClient)vc).setVAgent(agent1);


   System.out.println("persist agent");
   em.persist(agent1);
   System.out.println(agent1);

   System.out.println("persist client");
   em.persist(vc);

   System.out.println(vc);

   em.getTransaction().commit();
   em.close();
 }
}





